SlopeGeneratorLoader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.grid
Class SlopeGeneratorLoader

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.omGraphics.grid.GeneratorLoader
                  com.bbn.openmap.omGraphics.grid.ColorGeneratorLoader
                      com.bbn.openmap.omGraphics.grid.SlopeGeneratorLoader

All Implemented Interfaces:
  LightMapHandlerChild, PropertyConsumer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener

    public class SlopeGeneratorLoader

extends ColorGeneratorLoader

Field Summary
`protected int` | `contrast`
`static java.lang.String` | `CONTRAST_PROPERTY`

Fields inherited from class com.bbn.openmap.omGraphics.grid.ColorGeneratorLoader
`colors, COLORS_PROPERTY, ColorsClassProperty, DEFAULT_COLORS_CLASS`

Fields inherited from class com.bbn.openmap.omGraphics.grid.GeneratorLoader
`prettyName`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport, isolated`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`SlopeGeneratorLoader()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` You should override this so the listener receives any particular events that the GeneratorLoader sends out.
`int` | `getContrast()`
`OMGridGenerator` | `getGenerator()`
`java.awt.Component` | `getGUI()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)`
`void` | `setContrast(int cont)`

Methods inherited from class com.bbn.openmap.omGraphics.grid.ColorGeneratorLoader
`getColors, setColors, setProperties`

Methods inherited from class com.bbn.openmap.omGraphics.grid.GeneratorLoader
`getPrettyName, getProperties, setPrettyName`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyInfo, getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, isIsolated, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext, setIsolated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTRAST_PROPERTY

    public static final java.lang.String CONTRAST_PROPERTY

See Also:
  Constant Field Values

### contrast

    protected int contrast

Constructor Detail

### SlopeGeneratorLoader

    public SlopeGeneratorLoader()

Method Detail

### setContrast

    public void setContrast(int cont)

### getContrast

    public int getContrast()

### getGUI

    public java.awt.Component getGUI()

  Overrides:
    `getGUI` in class `GeneratorLoader`

### getGenerator

    public OMGridGenerator getGenerator()

  Overrides:
    `getGenerator` in class `GeneratorLoader`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Description copied from class: `GeneratorLoader`
  You should override this so the listener receives any particular events that the GeneratorLoader sends out.

  Overrides:
    `addPropertyChangeListener` in class `ColorGeneratorLoader`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Overrides:
    `removePropertyChangeListener` in class `ColorGeneratorLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details